(() => {
  const _Window_Message_convertEscapeCharacters = Window_Message.prototype.convertEscapeCharacters;
  Window_Message.prototype.convertEscapeCharacters = function(text) {
    text = text.replace(/—/g, "--"); // Replace em dash with double dash
    return _Window_Message_convertEscapeCharacters.call(this, text);
  };
})();